<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:20 CST 2018 -->
<title>A-Index</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="A-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="../projectx/engine/terminal/modes/Window.html#actionPerformed-java.awt.event.ActionEvent-">actionPerformed(ActionEvent)</a></span> - Method in class projectx.engine.terminal.modes.<a href="../projectx/engine/terminal/modes/Window.html" title="class in projectx.engine.terminal.modes">Window</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/creatures/Creature.html#activate--">activate()</a></span> - Method in class projectx.engine.managers.entities.creatures.<a href="../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></dt>
<dd>
<div class="block">This method is used for when a creature is activated</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/Entity.html#activate--">activate()</a></span> - Method in class projectx.engine.managers.entities.<a href="../projectx/engine/managers/entities/Entity.html" title="class in projectx.engine.managers.entities">Entity</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/nonmoving/Nonmoving.html#activate--">activate()</a></span> - Method in class projectx.engine.managers.entities.nonmoving.<a href="../projectx/engine/managers/entities/nonmoving/Nonmoving.html" title="class in projectx.engine.managers.entities.nonmoving">Nonmoving</a></dt>
<dd>
<div class="block">This method is used for when a nonmoving is activated</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/objects/Objects.html#activate--">activate()</a></span> - Method in class projectx.engine.managers.entities.objects.<a href="../projectx/engine/managers/entities/objects/Objects.html" title="class in projectx.engine.managers.entities.objects">Objects</a></dt>
<dd>
<div class="block">This method is used for when an object is activated</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/enums/ObjectsType.html#activator">activator</a></span> - Variable in enum projectx.game.enums.<a href="../projectx/game/enums/ObjectsType.html" title="enum in projectx.game.enums">ObjectsType</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/controls/ai/utils/Vector2i.html#add-projectx.engine.controls.ai.utils.Vector2i-">add(Vector2i)</a></span> - Method in class projectx.engine.controls.ai.utils.<a href="../projectx/engine/controls/ai/utils/Vector2i.html" title="class in projectx.engine.controls.ai.utils">Vector2i</a></dt>
<dd>
<div class="block">Adds to the vector based another vector</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/utils/Utils.html#addByteArrayToArray-byte:A-byte:A-int-">addByteArrayToArray(byte[], byte[], int)</a></span> - Static method in class projectx.engine.utils.<a href="../projectx/engine/utils/Utils.html" title="class in projectx.engine.utils">Utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/utils/Utils.html#addByteArrayToList-java.util.ArrayList-byte:A-">addByteArrayToList(ArrayList&lt;Byte&gt;, byte[])</a></span> - Static method in class projectx.engine.utils.<a href="../projectx/engine/utils/Utils.html" title="class in projectx.engine.utils">Utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/creatures/Creature.html#addCheckpoint-projectx.engine.managers.locators.Locator-">addCheckpoint(Locator)</a></span> - Method in class projectx.engine.managers.entities.creatures.<a href="../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/EntityManager.html#addEntity-projectx.engine.managers.entities.nonmoving.Nonmoving-">addEntity(Nonmoving)</a></span> - Method in class projectx.engine.managers.entities.<a href="../projectx/engine/managers/entities/EntityManager.html" title="class in projectx.engine.managers.entities">EntityManager</a></dt>
<dd>
<div class="block">This method adds an entity to the entities ArrayList and the non-moving ArrayList to be stored.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/EntityManager.html#addEntity-projectx.engine.managers.entities.creatures.Creature-">addEntity(Creature)</a></span> - Method in class projectx.engine.managers.entities.<a href="../projectx/engine/managers/entities/EntityManager.html" title="class in projectx.engine.managers.entities">EntityManager</a></dt>
<dd>
<div class="block">This method adds an entity to the entities ArrayList and the creatures ArrayList to be stored.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/entities/EntityManager.html#addEntity-projectx.engine.managers.entities.objects.Objects-">addEntity(Objects)</a></span> - Method in class projectx.engine.managers.entities.<a href="../projectx/engine/managers/entities/EntityManager.html" title="class in projectx.engine.managers.entities">EntityManager</a></dt>
<dd>
<div class="block">This method adds an entity to the entities ArrayList and the objects ArrayList to be stored.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/inventory/Inventory.html#addItem-projectx.engine.managers.items.Item-">addItem(Item)</a></span> - Method in class projectx.engine.inventory.<a href="../projectx/engine/inventory/Inventory.html" title="class in projectx.engine.inventory">Inventory</a></dt>
<dd>
<div class="block">This method adds an item to the inventory.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/items/ItemManager.html#addItem-projectx.engine.managers.items.Item-">addItem(Item)</a></span> - Method in class projectx.engine.managers.items.<a href="../projectx/engine/managers/items/ItemManager.html" title="class in projectx.engine.managers.items">ItemManager</a></dt>
<dd>
<div class="block">Thie method adds an item to the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/managers/locators/LocatorManager.html#addLocators-projectx.engine.managers.locators.Locator-">addLocators(Locator)</a></span> - Method in class projectx.engine.managers.locators.<a href="../projectx/engine/managers/locators/LocatorManager.html" title="class in projectx.engine.managers.locators">LocatorManager</a></dt>
<dd>
<div class="block">This method adds a locators to the locators ArrayList to be stored.</div>
</dd>
<dt><a href="../projectx/engine/controls/ai/AI.html" title="class in projectx.engine.controls.ai"><span class="typeNameLink">AI</span></a> - Class in <a href="../projectx/engine/controls/ai/package-summary.html">projectx.engine.controls.ai</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/controls/ai/AI.html#AI-projectx.engine.Handler-projectx.engine.managers.entities.creatures.Creature-">AI(Handler, Creature)</a></span> - Constructor for class projectx.engine.controls.ai.<a href="../projectx/engine/controls/ai/AI.html" title="class in projectx.engine.controls.ai">AI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/tile/Tile.html#airTile">airTile</a></span> - Static variable in class projectx.engine.tile.<a href="../projectx/engine/tile/Tile.html" title="class in projectx.engine.tile">Tile</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projectx/engine/glgfx/Animation.html" title="class in projectx.engine.glgfx"><span class="typeNameLink">Animation</span></a> - Class in <a href="../projectx/engine/glgfx/package-summary.html">projectx.engine.glgfx</a></dt>
<dd>
<div class="block">This class is responsible for animating a selected texture.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/glgfx/Animation.html#Animation-int-org.newdawn.slick.opengl.Texture:A-">Animation(int, Texture[])</a></span> - Constructor for class projectx.engine.glgfx.<a href="../projectx/engine/glgfx/Animation.html" title="class in projectx.engine.glgfx">Animation</a></dt>
<dd>
<div class="block">This constructor takes in the animation speed and the frames that need to be animated</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/enums/CreatureType.html#animDown">animDown</a></span> - Variable in enum projectx.game.enums.<a href="../projectx/game/enums/CreatureType.html" title="enum in projectx.game.enums">CreatureType</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/enums/CreatureType.html#animLeft">animLeft</a></span> - Variable in enum projectx.game.enums.<a href="../projectx/game/enums/CreatureType.html" title="enum in projectx.game.enums">CreatureType</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/enums/CreatureType.html#animRight">animRight</a></span> - Variable in enum projectx.game.enums.<a href="../projectx/game/enums/CreatureType.html" title="enum in projectx.game.enums">CreatureType</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/enums/CreatureType.html#animUp">animUp</a></span> - Variable in enum projectx.game.enums.<a href="../projectx/game/enums/CreatureType.html" title="enum in projectx.game.enums">CreatureType</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/controls/ai/AI.html#arrive--">arrive()</a></span> - Method in class projectx.engine.controls.ai.<a href="../projectx/engine/controls/ai/AI.html" title="class in projectx.engine.controls.ai">AI</a></dt>
<dd>
<div class="block">This method decides if the player has arrived at a location and counts down for half a second to contiune on to the next location</div>
</dd>
<dt><a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures"><span class="typeNameLink">Assets</span></a> - Class in <a href="../projectx/game/textures/package-summary.html">projectx.game.textures</a></dt>
<dd>
<div class="block">This class is responsible for loading in the resources for the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/textures/Assets.html#Assets--">Assets()</a></span> - Constructor for class projectx.game.textures.<a href="../projectx/game/textures/Assets.html" title="class in projectx.game.textures">Assets</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/game/enums/CreatureType.html#ATHLETCS">ATHLETCS</a></span> - Variable in enum projectx.game.enums.<a href="../projectx/game/enums/CreatureType.html" title="enum in projectx.game.enums">CreatureType</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/controls/ai/AI.html#attack-projectx.engine.managers.entities.creatures.Creature-">attack(Creature)</a></span> - Method in class projectx.engine.controls.ai.<a href="../projectx/engine/controls/ai/AI.html" title="class in projectx.engine.controls.ai">AI</a></dt>
<dd>
<div class="block">This method is used by an attacking creature to chased down, face, and attack a target creature.</div>
</dd>
<dt><a href="../projectx/engine/audio/AudioClip.html" title="class in projectx.engine.audio"><span class="typeNameLink">AudioClip</span></a> - Class in <a href="../projectx/engine/audio/package-summary.html">projectx.engine.audio</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/audio/AudioClip.html#AudioClip-java.lang.String-">AudioClip(String)</a></span> - Constructor for class projectx.engine.audio.<a href="../projectx/engine/audio/AudioClip.html" title="class in projectx.engine.audio">AudioClip</a></dt>
<dd>
<div class="block">This constructor uses the file path to find and use the audio in the location of the parameter path.</div>
</dd>
<dt><a href="../projectx/engine/audio/AudioPlayer.html" title="class in projectx.engine.audio"><span class="typeNameLink">AudioPlayer</span></a> - Class in <a href="../projectx/engine/audio/package-summary.html">projectx.engine.audio</a></dt>
<dd>
<div class="block">This class is responsible for playing the the selected audio.</div>
</dd>
<dt><span class="memberNameLink"><a href="../projectx/engine/audio/AudioPlayer.html#AudioPlayer--">AudioPlayer()</a></span> - Constructor for class projectx.engine.audio.<a href="../projectx/engine/audio/AudioPlayer.html" title="class in projectx.engine.audio">AudioPlayer</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">Y</a>&nbsp;<a href="index-26.html">_</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
